import 'package:flutter/material.dart';

import 'package:sudoku/provider/data.dart';

class BoardLayout extends StatelessWidget {
  const BoardLayout({super.key, required this.myProvider});

  final Data myProvider;

  @override
  Container build(BuildContext context) {
    const Color borderColor = Colors.black;
    final int boardSize = myProvider.blockSizeHorizontal * myProvider.blockSizeVertical;

    final Widget gameTileset = Table(
      defaultColumnWidth: const IntrinsicColumnWidth(),
      children: [
        for (int row = 0; row < boardSize; row++)
          TableRow(
            children: [
              for (int col = 0; col < boardSize; col++)
                Column(
                  children: [myProvider.board[row][col].widget(myProvider)],
                ),
            ],
          ),
      ],
    );

    return Container(
      margin: const EdgeInsets.all(2),
      padding: const EdgeInsets.all(2),
      decoration: BoxDecoration(
        color: borderColor,
        borderRadius: BorderRadius.circular(2),
        border: Border.all(
          color: borderColor,
          width: 2,
        ),
      ),
      child: Column(
        children: [
          gameTileset,
        ],
      ),
    );
  }
}
