import 'package:flutter/material.dart';

import 'package:sudoku/ui/layout/board.dart';
import 'package:sudoku/ui/widgets/message_game_end.dart';
import 'package:sudoku/ui/widgets/bar_select_cell_value.dart';
import 'package:sudoku/provider/data.dart';
import 'package:sudoku/utils/board_utils.dart';

class Game extends StatelessWidget {
  const Game({super.key, required this.myProvider});

  final Data myProvider;

  @override
  Widget build(BuildContext context) {
    final bool gameIsFinished = BoardUtils.checkBoardIsSolved(myProvider);

    return Column(
      mainAxisAlignment: MainAxisAlignment.start,
      crossAxisAlignment: CrossAxisAlignment.center,
      children: [
        BoardLayout(myProvider: myProvider),
        const SizedBox(height: 2),
        gameIsFinished
            ? EndGameMessage(myProvider: myProvider)
            : SelectCellValueBar(myProvider: myProvider),
      ],
    );
  }
}
