import 'package:flutter/material.dart';

import 'package:sudoku/ui/layout/parameters.dart';
import 'package:sudoku/utils/game_utils.dart';

class ResumeGameButton extends Parameters {
  const ResumeGameButton({super.key, required super.myProvider});

  @override
  Widget build(BuildContext context) {
    return Container(
      margin: const EdgeInsets.all(Parameters.blockMargin),
      padding: const EdgeInsets.all(Parameters.blockPadding),
      child: Table(
        defaultColumnWidth: const IntrinsicColumnWidth(),
        children: [
          TableRow(
            children: [
              Column(
                children: [
                  TextButton(
                    child: Parameters.buildImageContainerWidget('button_delete_saved_game'),
                    onPressed: () => GameUtils.deleteSavedGame(myProvider),
                  ),
                ],
              ),
              Column(
                children: [
                  TextButton(
                    child: Parameters.buildImageContainerWidget('button_resume_game'),
                    onPressed: () => GameUtils.resumeSavedGame(myProvider),
                  ),
                ],
              ),
              Parameters.buildDecorationImageWidget(),
            ],
          ),
        ],
      ),
    );
  }
}
