import 'package:flutter/material.dart';

import 'package:sudoku/provider/data.dart';
import 'package:sudoku/ui/layout/parameters.dart';
import 'package:sudoku/utils/game_utils.dart';

class StartNewGameButton extends StatelessWidget {
  const StartNewGameButton({super.key, required this.myProvider});

  final Data myProvider;

  @override
  Widget build(BuildContext context) {
    return Container(
      margin: const EdgeInsets.all(Parameters.blockMargin),
      padding: const EdgeInsets.all(Parameters.blockPadding),
      child: Table(
        defaultColumnWidth: const IntrinsicColumnWidth(),
        children: [
          TableRow(
            children: [
              Parameters.buildDecorationImageWidget(),
              Column(
                children: [
                  TextButton(
                    child: Parameters.buildImageContainerWidget('button_start'),
                    onPressed: () => GameUtils.startNewGame(myProvider),
                  ),
                ],
              ),
              Parameters.buildDecorationImageWidget(),
            ],
          ),
        ],
      ),
    );
  }
}
