import 'package:flutter/material.dart';

import 'package:sudoku/ui/widgets/button_game_restart.dart';
import 'package:sudoku/provider/data.dart';

class EndGameMessage extends StatelessWidget {
  const EndGameMessage({super.key, required this.myProvider});

  final Data myProvider;

  @override
  Widget build(BuildContext context) {
    const Image decorationImage = Image(
      image: AssetImage('assets/icons/game_win.png'),
      fit: BoxFit.fill,
    );

    return Container(
      margin: const EdgeInsets.all(2),
      padding: const EdgeInsets.all(2),
      child: Table(
        defaultColumnWidth: const IntrinsicColumnWidth(),
        children: [
          TableRow(
            children: [
              const Column(
                children: [decorationImage],
              ),
              Column(
                children: [
                  myProvider.animationInProgress
                      ? decorationImage
                      : RestartGameButton(myProvider: myProvider)
                ],
              ),
              const Column(
                children: [decorationImage],
              ),
            ],
          ),
        ],
      ),
    );
  }
}
